Subject: ANNOUNCE: sybperl 2.08
From: Michael Peppler <[email-masked]>
Date: 11 Oct 1997 16:34:55 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I have just uploaded sybperl 2.08 to CPAN, and it will wind its way
to your local CPAN mirror in a day or two.

2.08 is mainly a bug fix release, with a couple of new features in
Sybase::DBlib to offer better support for large TEXT/IMAGE data
items.

>From the CHANGES file:

2.08    New Features:

        Added dbpreptext(), dbreadtext(), dbmoretext(), dbsqlok()
        and force_dbclose() to Sybase::DBlib.
        Added dbspid() to Sybase::DBlib

        Bug Fixes

        Made some code adjustments to silence some perl 5.004
        warnings.
        Finally fixed the "'rpcInfo' is not a valid Sybase::DBlib
        attribute" bug...
        Fixed DBSETLPACKET() macro definition (for pre-system 10
        libraries).
        Fixed ct_config() so that integer values can be set and
        retrived. This implied adding a 'type' argument which defaults
        to CS_CHAR_TYPE, but must be set to CS_INT_TYPE if integer
        values are passed or retrieved.
        Fixed dbclose() in Sybperl.pm to *really* close connections.
        Renamed config to config.pl to avoid problems under Win/NT.
        ct_fetch() added an extra \0 at the end of TEXT/IMAGE data.
        Fixed a reorder bug in BCP.pm.
        Fixed Sybase::CTlib::ct_sql() to set $dbh->{RC} to CS_FAIL 
        when an error occurs in the processing.
        Sybase::DBlib::dbrpcxxx() calls where not returning any success
        or failure information.
        Sybase::CTlib::ct_col_types() returns CS_INT_TYPE for all
integer
        types.

I have also updated the documentation and the FAQ, both of which
are available now on my homepage, along with the 2.08 release
(http://www.mbay.net/~mpeppler).

I've released this now because I intend to make some deeper changes
for 2.09 to improve performance (I was slightly miffed that
DBD::Sybase is quite a bit faster that Sybase::CTlib SELECTs on wide
tables, so I'm going to work on that...)

Here is the info from PAUSE:

The uploaded file

    sybperl-2.08.tar.gz

has been added to PAUSE as

  file: $CPAN/authors/id/MEWP/sybperl-2.08.tar.gz
  size: 135046 bytes
   md5: 65838a2e8d04f451e1d2dbaacba316fc

No action is required on your part
Request entered by: MEWP (Michael Peppler)
Request entered on: Tue, 07 Oct 1997 17:48:01 GMT
Request completed:  Tue, 07 Oct 1997 17:49:01 GMT

        Virtually Yours,
        Id: paused,v 1.32 1997/09/20 15:43:26 k Exp k

Michael
-- 
Michael Peppler       -||-  Data Migrations Inc.
[email-masked]  -||-  http://www.mbay.net/~mpeppler